/*
 *   Copyright (C) 2011-2016, Michael Anders, FH-Wedel
 *
 *  This file is part of the ECC-Implementation "Academic Signature"
 *  Maintainer: Michael Anders
 *
 *  All rights reserved.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
 

#ifndef GET_PRIME_H
#define GET_PRIME_H

//(*Headers(get_prime)
#include <wx/checkbox.h>
#include <wx/dialog.h>
#include <wx/sizer.h>
#include <wx/button.h>
#include <wx/stattext.h>
#include <wx/textctrl.h>
//*)

class get_prime: public wxDialog
{
	public:

		get_prime(wxWindow* parent,wxWindowID id=wxID_ANY,const wxPoint& pos=wxDefaultPosition,const wxSize& size=wxDefaultSize);
		virtual ~get_prime();

		//(*Declarations(get_prime)
		wxTextCtrl* decprim_ctrl;
		wxButton* Button4;
		wxButton* Button1;
		wxButton* Button2;
		wxButton* Button3;
		wxTextCtrl* hexprim_ctrl;
		wxStaticText* StaticText1;
		wxStaticText* StaticText3;
		wxButton* Button5;
		wxTextCtrl* bytno_ctrl;
		wxStaticText* StaticText2;
		wxButton* Button6;
		wxCheckBox* mod4_ctrl;
		//*)

	protected:

		//(*Identifiers(get_prime)
		static const long ID_BUTTON2;
		static const long ID_STATICTEXT1;
		static const long ID_STATICTEXT2;
		static const long ID_TEXTCTRL1;
		static const long ID_STATICTEXT3;
		static const long ID_TEXTCTRL2;
		static const long ID_BUTTON5;
		static const long ID_BUTTON6;
		static const long ID_BUTTON1;
		static const long ID_TEXTCTRL3;
		static const long ID_BUTTON3;
		static const long ID_BUTTON4;
		static const long ID_CHECKBOX1;
		//*)

	private:

		//(*Handlers(get_prime)
		void OnExit(wxCommandEvent& event);
		void OnRandStarter(wxCommandEvent& event);
		void OnNextHex(wxCommandEvent& event);
		void OnNextPrimeDec(wxCommandEvent& event);
		void Hex_to_dec(wxCommandEvent& event);
		void Dec_to_hex(wxCommandEvent& event);
		//*)

		DECLARE_EVENT_TABLE()
};

#endif
